import { CodeEditor } from '@jupyterlab/codeeditor';
import { IDocumentManager } from '@jupyterlab/docmanager';
import { IDocumentWidget } from '@jupyterlab/docregistry';
import { FileEditor } from '@jupyterlab/fileeditor';
import { IGlobalPosition, ILocalPosition } from '../positions';
import { CodeJumper } from './jumper';
export declare class FileEditorJumper extends CodeJumper {
    editor: FileEditor;
    widget: IDocumentWidget;
    constructor(editor_widget: IDocumentWidget<FileEditor>, document_manager: IDocumentManager);
    get path(): string;
    get editors(): CodeEditor.IEditor[];
    jump(jump_position: ILocalPosition): void;
    getOffset(position: CodeEditor.IPosition): number;
    getJumpPosition(position: CodeEditor.IPosition): ILocalPosition;
    getCurrentPosition(): IGlobalPosition;
}
