import { CodeEditor } from '@jupyterlab/codeeditor';
import { IDocumentManager } from '@jupyterlab/docmanager';
import { Notebook, NotebookPanel } from '@jupyterlab/notebook';
import { IGlobalPosition, ILocalPosition } from '../positions';
import { CodeJumper } from './jumper';
export declare class NotebookJumper extends CodeJumper {
    notebook: Notebook;
    widget: NotebookPanel;
    constructor(notebook_widget: NotebookPanel, document_manager: IDocumentManager);
    get editors(): CodeEditor.IEditor[];
    jump(position: ILocalPosition): void;
    getOffset(position: CodeEditor.IPosition, cell?: number): number;
    getCurrentPosition(): IGlobalPosition;
    getJumpPosition(position: CodeEditor.IPosition, input_number: number): {
        token: {
            offset: number;
            value: string;
        };
        index: number;
    };
}
